import conditionObjectBase from '../condition-object-base.js'
import { getClass } from '@/api/webApi/elective/dispatch.js'
export default {
  ...conditionObjectBase,
  dependentKeys: ['groupId'],
  key: 'class',
  title: '班级',
  isDependencyReady(params) {
    return params.groupId
  },
  getList: function(param) {
    return new Promise((resolve, reject) => {
      getClass({
        groupId: 10
      }).then(res => {
        console.log('111111111111',res.data)
        resolve(res.data)
      })
      .catch(e => reject(e))
    })
  },
  getCode: function(item) {
    return item.classId
  },
  getLabel: function(item) {
    return item.className
  }
}
